package com.qmai.zqtoolkit.base.led

/**
 * tongzi
 * 2022/4/29
 * led操作
 */
interface LEDBaseAction {

    //led连接
    fun connect(
        port: String? = null,
        buad: String? = null
    )

    //直接发送指令
    fun sendData(data: ByteArray)

    //LED显示净重
    fun sendLEDWeight(weight: String)

    //LED显示单价
    fun sendLEDUnitPrice(price: String)

    //LED显示总价
    fun sendLEDTotalPrice(price: String)

    //LED显示总价
    //零位 稳定 去皮
    fun sendLEDLight(zero: Boolean = false, stable: Boolean = false, tare: Boolean = false)

    //LED数字客显是否可用
    fun isLEDSuccess(): Boolean

    //清屏
    fun clearLED()
}